## pwnitter 0.0.1-11

=== Makefile ===
all:
	python setup.py build
clean:
	python setup.py clean --all
install:
	python setup.py install --prefix /usr/ --root $(DESTDIR)

=== debian/changelog ===
pwnitter (0.0.1-11) freemantle; urgency=low

  * Using debhelper7 to build

 -- Tobias Mueller <tobiasmue@gnome.org>  Fri, 17 Dec 2010 15:57:37 +0530

pwnitter (0.0.1-10) freemantle; urgency=low

  * Fixed an exception in the GUIs callback handler
  * Made the setup script install in /usr/ prefix

 -- Tobias Mueller <tobiasmue@gnome.org>  Fri, 17 Dec 2010 15:41:21 +0530

pwnitter (0.0.1-9) freemantle; urgency=low

  * Fix an icon naming clash by renaming this icon to smth sane

 -- Tobias Mueller <tobiasmue@gnome.org>  Fri, 17 Dec 2010 15:20:48 +0530

pwnitter (0.0.1-8) freemantle; urgency=low

  * Hm, distutils installed in /scratchbox/ for whatever reason, now
    explicitely installing in /usr/

 -- Tobias Mueller <tobiasmue@gnome.org>  Fri, 17 Dec 2010 15:04:39 +0530

pwnitter (0.0.1-7) freemantle; urgency=low

  * removing binary-arch from Makefile, because we don't have binaries

 -- Tobias Mueller <tobiasmue@gnome.org>  Fri, 17 Dec 2010 14:56:08 +0530

pwnitter (0.0.1-6) freemantle; urgency=low

  * Now installing into the correct directory, so that the deb package 
    can actually pick the files up

 -- Tobias Mueller <tobiasmue@gnome.org>  Fri, 17 Dec 2010 13:38:53 +0530

pwnitter (0.0.1-5) freemantle; urgency=low

  * Turns out, debian/files was missing. Not knowing the semantics
    right now, just pushing an empty file

 -- Tobias Mueller <tobiasmue@gnome.org>  Fri, 17 Dec 2010 13:32:48 +0530

pwnitter (0.0.1-4) freemantle; urgency=low

  * build on i386 fails on the builder only due to dpkg-genchanges: 
     error: cannot read files list file: No such file or directory
    thus trying again

 -- Tobias Mueller <tobiasmue@gnome.org>  Fri, 17 Dec 2010 13:27:00 +0530

pwnitter (0.0.1-3) freemantle; urgency=low

  * Previous build failed due to "OSError", just trying again

 -- Tobias Mueller <tobiasmue@gnome.org>  Fri, 17 Dec 2010 13:18:53 +0530

pwnitter (0.0.1-2) unstable; urgency=low

  * Made the setup.py install all necessary files, hopefully

 -- Tobias Mueller <tobiasmue@gnome.org>  Fri, 17 Dec 2010 13:10:37 +0530

pwnitter (0.0.1-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- unknown <tobiasmue@gnome.org>  Fri, 17 Dec 2010 12:50:54 +0530

=== debian/control ===
Source: pwnitter
Section: net
Priority: extra
Maintainer: Tobias Mueller <tobiasmue@gnome.org>
#Build-Depends: debhelper (>= 5)
Build-Depends: debhelper7
Standards-Version: 3.7.2

Package: pwnitter
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpcap0.8, python-pypcap, python-dpkt, python-gtk2, python-dbus, iw
Description: A simple tool to sidejack Twitter accounts
 This tool listens on a wifi interface and tries to extract necessary cookies
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAYAAACpSkzOAAAABmJLR0QA/wD/AP+g
 vaeTAAAACXBIWXMAAAsTAAALEwEAmpwYAAAAB3RJTUUH1gURDQoYya0JlwAAAU9J
 REFUSMftlL1KA0EUhb/NZl/ggnHQxsJUxt5CUucVJCCkDfgyKdIGG5/A0s5HEBtJ
 EdDAQGBgmw0YJmMzgXXYza5CtNkDW9zZw5z7c+ZCgwb/Ai3i9sVl/Bq8RIs4LRK1
 gJDsKvJyNXmJMuYTsMoY1zpgozaABdYArQNPZQ1kfyGU7SpqVwxzAMwABWhgpIwp
 4vWBB+AUWAI3ypjnfEXtPU4bLKx9vErTeCeiRSYF+fTn1j5dp2myE9EiU+DSi3wX
 ymeqRQAmZ3EcA5E/fgO6BULT8zhOcrwXoJdrXRa2Lgps2y2odAUcBUIXQdz78YyC
 SldAp8b7+bXrIv91qjZBietqCc2DjbAt4b2WxJkyZljVujlwp0U0cPxuLcAIuC+4
 dKxFlsDJarvdAGP/b6hFnDImYs+uG3hbO2AB3Jbsur63tQM+fFx3bzZocEB8AdV2
 gJBZgKTwAAAAAElFTkSuQmCC

## pwnitter 0.0.1-12

=== debian/changelog ===
pwnitter (0.0.1-12) freemantle; urgency=low

  * Allow the wireless to be set up and teared down by the service itself
  * Make the status a field of the Pwnitter class
  * Export the status via DBus

 -- Tobias Mueller <tobiasmue@gnome.org>  Fri, 17 Dec 2010 16:14:23 +0530

## pwnitter 0.0.2-1

=== debian/changelog ===
pwnitter (0.0.2-1) freemantle; urgency=low

  * Loaded the wrong binary in the .desktop file, now loading pwnitter-gtk
  * Named the dbus .service to reflect the service name, otherwise it
    would throw an error
  * Called the right iw and ifconfig binaries
  * Made it not block on exit
 -- Tobias Mueller <tobiasmue@gnome.org>  Fri, 17 Dec 2010 16:21:37 +0530

## pwnitter 0.0.2-2

=== debian/changelog ===
pwnitter (0.0.2-2) freemantle; urgency=low

  * Softcoding installation paths in setup.py
  * Put the pcap filedescriptor in the glib mainloop

 -- Tobias Mueller <tobiasmue@gnome.org>  Mon, 20 Dec 2010 05:55:05 +0530

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pwnitter
-Section: net
+Section: user/network
 Priority: extra
 Maintainer: Tobias Mueller <tobiasmue@gnome.org>
-#Build-Depends: debhelper (>= 5)
 Build-Depends: debhelper7
 Standards-Version: 3.7.2

## pwnitter 0.0.3-1

=== Makefile ===
--- 
+++ 
@@ -1,3 +1,8 @@
+#!/usr/bin/make -f
+PATH := /usr/bin:$(PATH)
+SBOX_REDIRECT_IGNORE := $(SBOX_REDIRECT_IGNORE):/usr/bin/python
+export PATH SBOX_REDIRECT_IGNORE
+
 all:
 	python setup.py build
 clean:

=== debian/changelog ===
pwnitter (0.0.3-1) freemantle; urgency=low

  * Be able to play PCap files
  * enhanced logging facilities
  * Record UserAgent as well
    Note that it doesn't work with non mobile.twitter.com anymore. But
    that might a issue with me and my local setup.
  * fix the python hashbang problem by editing Makefile according to 
    http://wiki.maemo.org/PyMaemo/FAQ#When_I_build_my_Python_application_on_Scratchbox.2C_files_are_installed_in_.2Fscratchbox.2F..._How_do_I_modify_Debian_packaging_so_the_correct_Python_interpreter_is_called.3F

 -- Tobias Mueller <tobiasmue@gnome.org>  Fri, 14 Jan 2011 00:30:59 +0530

=== debian/rules ===
#!/usr/bin/make -f
SBOX_REDIRECT_IGNORE := $(SBOX_REDIRECT_IGNORE):/usr/bin/python
export PATH SBOX_REDIRECT_IGNORE

%:
	dh $@

## pwnitter 0.0.3-2

=== debian/changelog ===
pwnitter (0.0.3-2) freemantle; urgency=low

  * Hm. Hashbang issue is fixed locally but apparently the builder
    still messes it up. Now trying to fix it with perl being in
    scratchbox's non-redirect list.

 -- Tobias Mueller <tobiasmue@gnome.org>  Mon, 17 Jan 2011 03:45:17 +0530

=== debian/control ===
--- 
+++ 
@@ -4,6 +4,7 @@
 Maintainer: Tobias Mueller <tobiasmue@gnome.org>
 Build-Depends: debhelper7
 Standards-Version: 3.7.2
+XSBC-Bugtracker: mailto:tobiasmue@gnome.org
 
 Package: pwnitter
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
SBOX_REDIRECT_IGNORE := $(SBOX_REDIRECT_IGNORE):/usr/bin/python:/usr/bin/perl
export PATH SBOX_REDIRECT_IGNORE

%:
	dh $@

## pwnitter 0.0.3-3

=== debian/changelog ===
pwnitter (0.0.3-3) freemantle; urgency=low

  * Hm. It didn't work, but now, without the perl in scratchbox ignore,
    the X86 target has /usr/bin/python2.5 and the the ARMEL target has
    /usr/bin/python as hashbang. Let's see whether the builder does it
    that way, too.

 -- Tobias Mueller <tobiasmue@gnome.org>  Mon, 17 Jan 2011 05:50:42 +0530

## pwnitter 0.0.3-4

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
-PATH := /usr/bin:$(PATH)
-SBOX_REDIRECT_IGNORE := $(SBOX_REDIRECT_IGNORE):/usr/bin/python
+PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
+SBOX_REDIRECT_IGNORE := $(SBOX_REDIRECT_IGNORE):/usr/bin/python:/usr/bin/perl
 export PATH SBOX_REDIRECT_IGNORE
 
 all:

=== debian/changelog ===
pwnitter (0.0.3-4) freemantle; urgency=low

  * Now build depending on python-runtime as Hermes does that. Let's
    hope the builder gets it right now.

 -- Tobias Mueller <tobiasmue@gnome.org>  Mon, 17 Jan 2011 06:30:19 +0530

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: user/network
 Priority: extra
 Maintainer: Tobias Mueller <tobiasmue@gnome.org>
-Build-Depends: debhelper7
+Build-Depends: debhelper7, python-runtime | python2.5-runtime
 Standards-Version: 3.7.2
 XSBC-Bugtracker: mailto:tobiasmue@gnome.org

=== debian/rules ===
#!/usr/bin/make -f
PATH:=/usr/bin/dh7:/usr/bin:$(PATH)
#SBOX_REDIRECT_IGNORE:=$(SBOX_REDIRECT_IGNORE):/usr/bin/perl
SBOX_REDIRECT_IGNORE:=$(SBOX_REDIRECT_IGNORE):/usr/bin/python
export PATH SBOX_REDIRECT_IGNORE

%:
	dh $@
